import type { Poll } from "~/server/models/poll"
export const usePollStore = defineStore('usePollStore', () => {
    const currentPoll = shallowReactive<Poll>({})

    const url : any = useRequestURL();
    const host = url.hostname.split('.')[0];

    async function fetchById(id: string) {

        try {
            const { data } = await useFetch<any>(`/api/services/poll-by-id`, {
                query: {
                    pollId: id,
                    site: host
                }
            })

            data.value && (Object.assign(currentPoll, data.value))
            return currentPoll
        } catch(error) {

        }
    }
    return { fetchById, currentPoll }
})

if(import.meta.hot) {
    import.meta.hot.accept(acceptHMRUpdate(usePollStore, import.meta.hot))
}